Debian Bug report logs - #612376
flash-kernel: please include efikamx support

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Clint Adams <clint@debian.org>

Date: Tue, 8 Feb 2011 03:51:01 UTC

Severity: normal

Found in version flash-kernel/2.37

Fixed in version flash-kernel/3.0~rc.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Tue, 08 Feb 2011 03:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 08 Feb 2011 03:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flash-kernel: please include efikamx support
Date: Tue, 8 Feb 2011 03:49:19 +0000
[Message part 1 (text/plain, inline)]
Package: flash-kernel
Version: 2.37

The attached file is part of the flash-kernel 2.28ubuntu10genesi1
distributed by Genesi.

Please incorporate the efikamx_flash_kernel function.
I would change the boot.scr generation to include
console=${console} as part of bootargs.
[flash-kernel (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Tue, 08 Feb 2011 08:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 08 Feb 2011 08:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 612376@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Clint Adams <clint@debian.org>, 612376@bugs.debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Tue, 8 Feb 2011 06:37:18 +0100
[Message part 1 (text/plain, inline)]
Quoting Clint Adams (clint@debian.org):
> Package: flash-kernel
> Version: 2.37
> 
> The attached file is part of the flash-kernel 2.28ubuntu10genesi1
> distributed by Genesi.
> 
> Please incorporate the efikamx_flash_kernel function.
> I would change the boot.scr generation to include
> console=${console} as part of bootargs.


I just diff'ed that file with the one we have in the current
flash-kernel package and the diff is....giant (bigger than the file,
actually).

Not to say that this is bad but I'd leave it up to Martin Michlmayr. I
was thinking about applying the changes if they were not invasive even
if I have no clue at all about these things but I'm a bit
hesitating..:-)




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Thu, 10 Feb 2011 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 Feb 2011 08:15:07 GMT) Full text and rfc822 format available.

Message #15 received at 612376@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Christian PERRIER <bubulle@debian.org>, 612376@bugs.debian.org
Cc: Clint Adams <clint@debian.org>
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Thu, 10 Feb 2011 08:11:36 +0000
* Christian PERRIER <bubulle@debian.org> [2011-02-08 06:37]:
> I just diff'ed that file with the one we have in the current
> flash-kernel package and the diff is....giant (bigger than the file,
> actually).

Yeah, you'd think that Clint would know how to submit a proper patch.

I'm not planning to take a look at this since it's heavily forked.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Sat, 12 Feb 2011 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 12 Feb 2011 23:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 612376@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 612376@bugs.debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Sat, 12 Feb 2011 23:01:58 +0000
[Message part 1 (text/plain, inline)]
On Thu, Feb 10, 2011 at 08:11:36AM +0000, Martin Michlmayr wrote:
> Yeah, you'd think that Clint would know how to submit a proper patch.

My apologies.
[flash-kernel-efikamx.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Wed, 02 Mar 2011 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Mar 2011 19:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 612376@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Clint Adams <clint@debian.org>, 612376@bugs.debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Wed, 2 Mar 2011 19:01:05 +0000
* Clint Adams <clint@debian.org> [2011-02-12 23:01]:
> +        root=$(readlink -f /dev/root)
> +        echo "Root filesystem is $root" >&2
> +
> +        loadaddr=0x90008000
> +	tmpdir="$(mktemp -d)"

You mix space and tabs, but I can fix that up.

> +        # The UUID will come from the flash-kernel config file

This is no longer true.

> +
> +        printf "Generating boot.scr... " >&2
> +        cat >$tmpdir/boot.script <<EOF
> +setenv ramdisk uInitrd-$kvers;
> +setenv kernel uImage-$kvers;
> +setenv bootargs console=tty1 console=\${console} root=$root rootwait rw quiet splash;
> +\${loadcmd} \${ramdiskaddr} \${ramdisk};

Where does loadcmd come from?

> +if imi \${ramdiskaddr}; then; else
> +  setenv bootargs \${bootargs} noinitrd;
> +  setenv ramdiskaddr "";
> +fi;
> +\${loadcmd} \${kerneladdr} \${kernel}
> +if imi \${kerneladdr}; then
> +  bootm \${kerneladdr} \${ramdiskaddr}
> +fi;
> +EOF
> +        if [ -e /boot/boot.scr ]; then

How does this boot.scr work?  Does this machine load /boot/boot.scr
from disk and then execute those commands?

>  	;;
> +	"Genesi Efika MX (Smartbook)" | "Genesi Efika MX (Smarttop)")
> +                #check_subarch $running_subarch

Do you know what this subarch will be called?

Also, you need to add support in a number of other files:
 - README
 - debian/flash-kernel-installer.postinst
 - initramfs-tools/hooks/flash_kernel_set_root
 - debian/flash-kernel-installer.isinstallable (for the new subarch)

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Wed, 02 Mar 2011 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Mar 2011 20:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 612376@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 612376@bugs.debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Wed, 2 Mar 2011 20:46:32 +0000
On Wed, Mar 02, 2011 at 07:01:05PM +0000, Martin Michlmayr wrote:
> Where does loadcmd come from?

U-Boot environment.

> How does this boot.scr work?  Does this machine load /boot/boot.scr
> from disk and then execute those commands?

Yes, the current U-Boot image from Genesi is set to search for
boot.scr on media, then run the first one that it finds.

(something like what's in the 2.0.6 box at
http://wiki.debian.org/EfikaMX#DefaultU-BootEnvironment
)

> Do you know what this subarch will be called?

I don't.  The current string used for the kernel version append is
-efikamx though.

> Also, you need to add support in a number of other files:
>  - README
>  - debian/flash-kernel-installer.postinst
>  - initramfs-tools/hooks/flash_kernel_set_root
>  - debian/flash-kernel-installer.isinstallable (for the new subarch)

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 11:57:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 11:57:42 GMT) Full text and rfc822 format available.

Message #35 received at 612376@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Clint Adams <clint@debian.org>, 612376@bugs.debian.org
Cc: markos@debian.org, tbm@debian.org, lool@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 12:56:27 +0100
Hello,

  I have added partial support for Efika devices into a branch for you to review,
after nice work done by Loïc rewritting the base code.

  Please comments on:
  http://git.debian.org/?p=d-i/flash-kernel.git;a=commitdiff;h=fa8fdbc9607ebd892eba1e1c3b4ad12f710c901f

Best regards,
  -- Hector Oron 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 14:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 14:06:12 GMT) Full text and rfc822 format available.

Message #40 received at 612376@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Clint Adams <clint@debian.org>, 612376@bugs.debian.org, markos@debian.org, lool@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 15:03:58 +0100
Hi Martin,

2011/4/4 Martin Michlmayr <tbm@cyrius.com>:
> * Hector Oron <zumbi@debian.org> [2011-04-04 12:56]:
>>   Please comments on:
>>   http://git.debian.org/?p=d-i/flash-kernel.git;a=commitdiff;h=fa8fdbc9607ebd892eba1e1c3b4ad12f710c901f
>
> Clint added a boot.scr file in his original patch.  Is that no longer
> needed.

It is needed, but not sure if flash-kernel needs to take care of that
file and regenerate every time a kernel is installed. I'll investigate
if it is worth adding support for it.

> Also, my previous comments are not addressed:

I was about to send out a better pointer:
  http://git.debian.org/?p=d-i/flash-kernel.git;a=shortlog;h=refs/heads/efika

>
> | Also, you need to add support in a number of other files:
> | - README
> | - debian/flash-kernel-installer.postinst
> | - initramfs-tools/hooks/flash_kernel_set_root
> | - debian/flash-kernel-installer.isinstallable (for the new subarch)
>
> Finally, is "mx51" going to be the name of the kernel flavour?  Can
> you have mx5 and mx6 in one kernel?  What about different mx5x
> platforms in one kernel?

I am not sure which kernel flavour we should use, hence I dropped an
email to debian-arm@l.d.o, there is contributed code, probably by
ubuntu, which adds "imx51", "mx51", etc... I think that needs to be
clarified, so I am working on it.

<http://lists.debian.org/debian-arm/2011/04/msg00009.html>

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 14:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 14:06:14 GMT) Full text and rfc822 format available.

Message #45 received at 612376@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Hector Oron <zumbi@debian.org>
Cc: Clint Adams <clint@debian.org>, 612376@bugs.debian.org, markos@debian.org, lool@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 06:56:48 -0700
* Hector Oron <zumbi@debian.org> [2011-04-04 12:56]:
>   Please comments on:
>   http://git.debian.org/?p=d-i/flash-kernel.git;a=commitdiff;h=fa8fdbc9607ebd892eba1e1c3b4ad12f710c901f

Clint added a boot.scr file in his original patch.  Is that no longer
needed.

Also, my previous comments are not addressed:

| Also, you need to add support in a number of other files:
| - README
| - debian/flash-kernel-installer.postinst
| - initramfs-tools/hooks/flash_kernel_set_root
| - debian/flash-kernel-installer.isinstallable (for the new subarch)

Finally, is "mx51" going to be the name of the kernel flavour?  Can
you have mx5 and mx6 in one kernel?  What about different mx5x
platforms in one kernel?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 14:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 14:45:11 GMT) Full text and rfc822 format available.

Message #50 received at 612376@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: Martin Michlmayr <tbm@cyrius.com>, Clint Adams <clint@debian.org>, 612376@bugs.debian.org, markos@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 16:34:12 +0200
On Mon, Apr 04, 2011, Hector Oron wrote:
> > Finally, is "mx51" going to be the name of the kernel flavour?  Can
> > you have mx5 and mx6 in one kernel?  What about different mx5x
> > platforms in one kernel?
> I am not sure which kernel flavour we should use, hence I dropped an
> email to debian-arm@l.d.o, there is contributed code, probably by
> ubuntu, which adds "imx51", "mx51", etc... I think that needs to be
> clarified, so I am working on it.
> <http://lists.debian.org/debian-arm/2011/04/msg00009.html>

 It would be nice if you could file a bug against linux to get the new
 flavor; I personally would recommend -mx5.  Currently, the upstream
 kernel doesn't support building both i.MX51 and i.MX53 in the same
 kernel but the Linux Linaro branch and the Freescale BSP kernel do;
 also, I think the patches by Eric Miao allowing this (runtime phys
 offset patches -- i.MX51 has phys RAM at 0x90000000 while i.MX53 has it
 at 0x70000000, see arch/arm/mach-mx5/Makefile.boot) are pending in
 Sacha Hauer's tree, but I'm not entirely sure.

 Technically, mx5 would only support mx51 right now, but would soon
 allow supporting mx53 as well, notably for mx53loco / quickstart boards
 which I bet a bunch of Debian ARM users will get.


 I reviewed your commits, some notes:
 - fa8fdbc9607ebd892eba1e1c3b4ad12f710c901f Add support for Efika devices:
   please sort machine names alphabetically in the case statement
 - 7e6bd315830ad89c11aadebbe45f1636dd686055 README: Add Efika support:
   kernel uses "nettop" in cpuinfo, but vendors uses "Smarttop"; also,
   vendor uses "Efika MX" not just "Efika".  I would prefer just the
   vendor name in the README  but you could have both with "Efika MX
   Smarttop (nettop)"; the kernel name is "set in stone" now, but it's
   not too nice
 - 4f873843d590b6d5475dcef7d863919c89609b4f
   flash-kernel-installer.isinstallable: Add mx51 as subarchitecture:
   I realize this comes from other parts of d-i, but would it make sense
   to use arm*/mx5?  My preference would be to avoid subarches as long
   as possible but use upstream names when required; arch/arm/mach-mx5
   is the current name, so that's what I'd use.
 - 5deea668506d7a26a8b79fea218101c7900b9752 changelog: add Efika support
   (Closes: #612376):
   please amend the currently UNRELEASED changelog entry

 Othewise looked good; thanks!

 I'm also in favor of a boot.scr.

 Outside of Martin's remarks, we need to agree on whether this is meant
 for installation of Debian to PATA, to SD card, or both and whether
 this is meant to work with vendor's u-boot, upstream u-boot, or both.

   Thanks,
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 15:39:04 GMT) Full text and rfc822 format available.

Message #55 received at 612376@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Loïc Minier <lool@dooz.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, Clint Adams <clint@debian.org>, 612376@bugs.debian.org, markos@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 16:35:03 +0100
Hello,

2011/4/4 Loïc Minier <lool@dooz.org>:

>  It would be nice if you could file a bug against linux to get the new
>  flavor; I personally would recommend -mx5.

That's fine with me. I'll wait for the bug report until we had proper
patches for kernel.

>  Technically, mx5 would only support mx51 right now, but would soon
>  allow supporting mx53 as well, notably for mx53loco / quickstart boards
>  which I bet a bunch of Debian ARM users will get.

I guess if we aim to unify, makes sense to use "mx5" subarchitecture.
I'll walk around debian-installer base code to fix subarches. I hope
it does not break previous ubuntu contributions.

>  I reviewed your commits, some notes:
>  - fa8fdbc9607ebd892eba1e1c3b4ad12f710c901f Add support for Efika devices:
>   please sort machine names alphabetically in the case statement
>  - 7e6bd315830ad89c11aadebbe45f1636dd686055 README: Add Efika support:
>   kernel uses "nettop" in cpuinfo, but vendors uses "Smarttop"; also,
>   vendor uses "Efika MX" not just "Efika".  I would prefer just the
>   vendor name in the README  but you could have both with "Efika MX
>   Smarttop (nettop)"; the kernel name is "set in stone" now, but it's
>   not too nice
>  - 4f873843d590b6d5475dcef7d863919c89609b4f
>   flash-kernel-installer.isinstallable: Add mx51 as subarchitecture:
>   I realize this comes from other parts of d-i, but would it make sense
>   to use arm*/mx5?  My preference would be to avoid subarches as long
>   as possible but use upstream names when required; arch/arm/mach-mx5
>   is the current name, so that's what I'd use.
>  - 5deea668506d7a26a8b79fea218101c7900b9752 changelog: add Efika support
>   (Closes: #612376):
>   please amend the currently UNRELEASED changelog entry
>
>  Othewise looked good; thanks!

Please recheck changes:
  http://git.debian.org/?p=d-i/flash-kernel.git;a=commitdiff;h=108de0c2f52301151dd866fe5a0bb7c5f34e5f57

>  I'm also in favor of a boot.scr.

Yes, I agree that flash-kernel needs to know about boot.scr, could we
steal ubuntu code/approach (you explained on IRC) or should I write a
patch for support it?

16:37 < lool> zumbi: well flash-kernel can do whatever is needed
16:38 < lool> zumbi: The main reason I'd use one would be to pass
cmdline args such as root=UUID=xyz to the kernel
              but it's an useful facility for later changes as well
16:38 < lool> zumbi: Up to you
16:39 < lool> zumbi: It's also the only way to persist your cmdline
flags when booting from SD, since you can't
              saveenv to SD
16:39 < lool> zumbi: There are two ways this could be supported:
generated at Debian install time, generated every
              time flash-kernel is run
16:48 < zumbi> lool: ok, let's say, we enable boot.scr support on
flash-kernel-installer, so it is just used at
               Debian install time, if later we find out we need it at
kernel upgrade time, we can always add the code
16:50 < lool> zumbi: If we add it later, it might break expectations
that the file is not overwritten on upgrade, and
              so it might overwrite user data
16:50 < lool> zumbi: In Linaro, we write a boot.txt near the boot.scr
with the contents before calling mkimage; I
              think Ubuntu's flash-kernel will generate boot.scr from
boot.txt if present
16:53 < zumbi> lool: I do not see why not follow Ubuntu approach
17:06 < lool-> zumbi: I'm not suggesting not to follow it either

>  Outside of Martin's remarks, we need to agree on whether this is meant
>  for installation of Debian to PATA, to SD card, or both and whether
>  this is meant to work with vendor's u-boot, upstream u-boot, or both.

I would say we want to install on which ever is mounted under /boot,
so if /boot/boot.txt is present, then boot.scr is regenerated
everytime kernel is installed.

Best regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 18:24:03 GMT) Full text and rfc822 format available.

Message #60 received at 612376@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: Loïc Minier <lool@dooz.org>, Martin Michlmayr <tbm@cyrius.com>, 612376@bugs.debian.org, markos@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 18:18:57 +0000
On Mon, Apr 04, 2011 at 04:35:03PM +0100, Hector Oron wrote:
> I would say we want to install on which ever is mounted under /boot,
> so if /boot/boot.txt is present, then boot.scr is regenerated
> everytime kernel is installed.

I think that could be a good thing to do for all platforms.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#612376; Package flash-kernel. (Mon, 04 Apr 2011 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Apr 2011 18:42:04 GMT) Full text and rfc822 format available.

Message #65 received at 612376@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Clint Adams <clint@debian.org>
Cc: Loïc Minier <lool@dooz.org>, Martin Michlmayr <tbm@cyrius.com>, 612376@bugs.debian.org, markos@debian.org
Subject: Re: Bug#612376: flash-kernel: please include efikamx support
Date: Mon, 4 Apr 2011 19:39:11 +0100
Hi,

2011/4/4 Clint Adams <clint@debian.org>:
> On Mon, Apr 04, 2011 at 04:35:03PM +0100, Hector Oron wrote:
>> I would say we want to install on which ever is mounted under /boot,
>> so if /boot/boot.txt is present, then boot.scr is regenerated
>> everytime kernel is installed.
>
> I think that could be a good thing to do for all platforms.

Here a boot script I am currently using on Efika targets:

setenv kernel uImage;
setenv bootargs console=ttymxc0,115200 root=/dev/mmcblk0p2 rootwait rw
video=imx-ipuv3-fb:1024x600M-16@60 rootfstype=ext4 quiet lpj=3997696
earlyprintk=serial;
${loadcmd} ${ramdiskaddr} ${ramdisk};
if imi ${ramdiskaddr}; then; else
  setenv bootargs ${bootargs} noinitrd;
  setenv ramdiskaddr "";
fi;
${loadcmd} ${kerneladdr} ${kernel}
if imi ${kerneladdr}; then
  bootm ${kerneladdr} ${ramdiskaddr}
fi;

Do we want kernel versioning?

Do we want bootargs per machine? Or what alternatives do we have to
handle bootargs? I am really not sure how to handle that, while I do
not like hardcoded values, those might be needed.

In an official version I suspect we need to replace noinitrd bit.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 12:36:50 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 12:37:12 GMT) Full text and rfc822 format available.

Message #70 received at 612376-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 612376-close@bugs.debian.org
Subject: Bug#612376: fixed in flash-kernel 3.0~rc.1
Date: Wed, 24 Aug 2011 12:32:16 +0000
Source: flash-kernel
Source-Version: 3.0~rc.1

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_3.0~rc.1_armel.udeb
  to main/f/flash-kernel/flash-kernel-installer_3.0~rc.1_armel.udeb
flash-kernel_3.0~rc.1.dsc
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.dsc
flash-kernel_3.0~rc.1.tar.gz
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.tar.gz
flash-kernel_3.0~rc.1_armel.deb
  to main/f/flash-kernel/flash-kernel_3.0~rc.1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612376@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Aug 2011 12:47:34 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.0~rc.1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 594878 612376 620888 626434 631396
Changes: 
 flash-kernel (3.0~rc.1) experimental; urgency=low
 .
   [ Loïc Minier ]
   * Bump Standards-Version to 3.9.2.
   * Add a testsuite and run it during build; change code a bit to be more
     easily tested.
   * Start reworking flash-kernel to be more data-driven.
     - Keep some machine data in a small embedded RFC 2822 style database; such
       as allowed kernel flavors, machine id to set before booting Linux,
       MTD names, U-Boot load addresses, /boot filenames etc.
     - Simplify code in the main "case" statement as much as possible by using
       functions for common code and splitting error handling, initialization,
       and sanity checks out.
     - Various syntax tweaks.
   * Only allow iop32x kernels on GLAN Tank.
   * Fix Lintian warnings.
     - Quote minus signs in man page.
     - Depend on ${misc:Depends}.
   * Add myself to Uploaders at tbm's proposal.
   * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
     Martin Michlmayr.
 .
   [ Hector Oron ]
   * Add armhf to architecture list (Closes: #620888)
     - add mx5 as armhf subarchitecture
   * Add myself to Uploaders field.
   * Add preliminary mv78xx0 support. (Closes: #594878)
   * Add build dependency on devio, needed to run test-suite.
   * Upgrade major version to 3.0~rc.1
   * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
   * Add preliminary U-Boot script support (Closes: #626434)
 .
   [ Julian Andres Klode ]
   * Support for Toshiba AC100 (Closes: #631396)
 .
   [ Martin Michlmayr ]
   * Remove myself from the Uploaders field.
 .
   [ Updated translations ]
   * Bulgarian (bg.po) by Damyan Ivanov
   * German (de.po) by Holger Wansing
   * Esperanto (eo.po) by Felipe Castro
   * Basque (eu.po)
   * Hebrew (he.po) by Lior Kaplan
   * Italian (it.po) by Milo Casagrande
   * Korean (ko.po) by Changwoo Ryu
   * Macedonian (mk.po) by Arangel Angov
   * Romanian (ro.po) by Eddy Petrișor
   * Sinhala (si.po) by Danishka Navin
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Uyghur (ug.po) by Sahran
   * Simplified Chinese (zh_CN.po) by YunQiang Su
Checksums-Sha1: 
 80f72d07827f3e3fb0311e6400415b70d79e4cbd 1669 flash-kernel_3.0~rc.1.dsc
 98db3b825cbdcf449e82a42173c32f45b6d5a657 48850 flash-kernel_3.0~rc.1.tar.gz
 6561090adec3efa743950bba9557c28fc736fd57 19564 flash-kernel_3.0~rc.1_armel.deb
 db5018e174417a7c0b92ecfbc2398e0e6a98b510 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Checksums-Sha256: 
 0b3de1beb920ebdc80285f2312b0a195d042fce1b6ff83209afdb487d62af265 1669 flash-kernel_3.0~rc.1.dsc
 422619dc4ade7c490f3139a8386ed72e224a16983882a0baa35aca0252e65485 48850 flash-kernel_3.0~rc.1.tar.gz
 cce2713506fe636b5ca1ee930832cc7253da4c63ef93e2ef7e19257ec248a9e2 19564 flash-kernel_3.0~rc.1_armel.deb
 d703cb113b906edb16a7e8a882e1f82406d8fb734bd1720a1d911ddfc186c711 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Files: 
 ad0f758094ba7f81bfbb9c65f4786c45 1669 utils optional flash-kernel_3.0~rc.1.dsc
 8af5f8bef0803d1f56b947218338cd0b 48850 utils optional flash-kernel_3.0~rc.1.tar.gz
 8269fbc9175d560b3e93a9a0b2ce76ef 19564 utils optional flash-kernel_3.0~rc.1_armel.deb
 2847a63ac08f876984297eaabb1734b7 12400 debian-installer standard flash-kernel-installer_3.0~rc.1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVOxjAAoJEK8ig6p24qx7ujEP/0B4HCtmv+Gs275pirssHdDB
yG2lB6FgMqCMlIQAuW7i4fyp7NpVpCNRVSovHDJk4ESOdSMXzLWnKRZw42DAfAQc
BQQTFKprJYk40LhgZt6Kk0d6hkq2op3H6YQGGaZQCgWgY2mGio2fptEImEraPn1+
Lz0XCg7Sl9fmoh9jswtsxYk344xHF+j1MVwqWRhytb3Ho1ouEjILgGOcWD8tyN97
kQlkCzdd0z75D78aIltv3zfC04hmTamX5CGXzSj8Y5wTGhOTYf+0k3ysw85Ub9UP
gslEOPy7zdGIgNQ9N29JT+8jvhBI1X1ig7Kwl4QJuzi0RaWYhPjiHv//gl849tVu
X0UHjBQ9+fz4bwDR/aNi3dp/MRZNH94f0Cec0l8No0irQDAADuW3WELijwrbj99H
Af4EmKeEmkDqkkX/wDLNWBxB6gggjEdVUhV5NZHZlMRgkiZC3VPnb+q25LkA1AKm
E2rzF+s7da3lTcnUIekbRMJRVMYVE4ZlRdX7kwYKveo3/lydl+99nwEFZJ+551Ph
W7Cm9wzpCGomciP3xH7pP4+JBg/h3QBzI9a765vveuHm3fZXx/93jzSPfUZq9+5L
+SG3S6QbpbtEFj+HGbpUb1FBZ5AGDyUSCXKnejdxphmBHbx29QBPSQUBZExvRB3t
NhhU3FKF6uU5wMjK0yGc
=D/ZR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Apr 2012 07:39:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:11:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.